Windows XP – Service Pack 3 Required

If you are using Windows XP you MUST upgrade to Service Pack 3 IMMEDIATELY!

Due to increased security, we will NOT be supporting Windows XP in 2015.

Windows XP support will continue to December 31, 2014.  After this time you may not be able to access the site using Windows XP.

Comments are closed.